<?xml version="1.0" encoding="utf-8"?>
<creole>
    <files>
	<!-- fichier de configuration pour la sauvegarde bareos -->
	<file filelist='pydio-bareos' name='/etc/bareos/bareosfichiers.d/pydio.conf' source='pydio-bareos.conf' rm='True'/>
	<!-- fichiers nécessaires à eoleDB pas obligatoirement de variables creole (%%.....) dedans mais seront supprimés si activer_pydio est à non --> 
	<file filelist='pydio' name='/etc/eole/eole-db.d/pydio-db.yml' rm='True' mkdir='True'/>
	<file filelist='pydio' name='/usr/share/eole/db/pydio/gen/pydio-create.sql' rm='True' mkdir='True'/>
	<file filelist='pydio' name='/usr/share/eole/db/pydio/updates/pydio-update-1.sql' rm='True' mkdir='True'/>
	<file filelist='pydio' name='/usr/share/eole/db/pydio/updates/pydio-update-2.sql' rm='True' mkdir='True'/>
    </files>
        
    <containers>
        <container name='fichier'>
            <package>libpam-cas-eole</package>
        </container>
        
        <container name='web'>
            <package>pydio-apps</package>
            <!-- services de configuration apache -->
            <service method="apache" servicelist="pydio">pydio</service>
            
            <!-- fichier de configuration de apache -->
            <file filelist='pydio' name='/etc/apache2/sites-available/pydio' source='pydio-apache.conf'/>
            
            <!-- fichiers de configuration de pydio -->
            <file filelist='pydio' name='/var/www/html/pydio/data/plugins/boot.conf/bootstrap.json' source='pydio-bootstrap.json'/>
            <file filelist='pydio' name='/var/www/html/pydio/conf/bootstrap_conf.php' source='pydio-bootstrap_conf.php'/>
            <file filelist='pydio' name='/var/www/html/pydio/conf/bootstrap_repositories.php' source='pydio-bootstrap_repositories.php'/>
            <file filelist='pydio' name='/var/www/html/pydio/conf/EnvoleFilters.php' source='pydio-EnvoleFilters.php'/>
            
            <!-- fichiers de cron de pydio -->
            <file filelist='pydio' name='/etc/cron.d/pydio' source='pydio-cron.conf' rm='True'/>
        </container>
    </containers>
    
    <variables>
        <family name='applications web'>
            <variable name='activer_pydio' type='oui/non' description='Activer Pydio'>
                <value>oui</value>
            </variable>
            
            <variable name='activer_pydio_local' type='oui/non' description='Activer un repository Local' mode="expert">
                <value>non</value>
            </variable>

            <variable name='activer_pydio_ftp' type='oui/non' description='Activer un repository distant en FTP' mode="expert">
                <value>non</value>
            </variable>

            <variable name='pydio_repository_ftp' type='ip' description='IP du repository distant FTP' mandatory='True' mode="expert" />

            <variable name='pydio_ftp' type='string' description='Adresse du serveur FTP utilisé par Pydio' mandatory='True' hidden='True'/>
        </family>
        
        <family name='pydio' mode='expert' icon='database'>
            <variable type='string' name='pydio_db_mode' description='Serveur de base de données à utiliser'/>
            <variable type='string' name='pydio_dbserver' description='Adresse du serveur de base de données'/>
            <variable type='number' name='pydio_dbport' description="Port d'écoute du serveur de base de données"/>
            <variable type='string' name='pydio_allow_hosts' description="Hôtes autorisés à utiliser la base de données" multi='True'/>
            <variable type='string' name='pydio_dbuser' description='Utilisateur du serveur de base de données'/>
            <variable type='string' name='pydio_dbpass' description='Fichier de mot de passe du serveur'/>
        </family>	        
    </variables>
    
    <constraints>
        <condition name='hidden_if_in' source='activer_apache'>
            <param>non</param>
            <target type='filelist'>pydio</target>
            <target type='filelist'>pydio-bareos</target>
            <target type='servicelist'>pydio</target>
        </condition>
        
        <condition name='hidden_if_in' source='activer_proftpd'>
            <param>non</param>
            <target type='variable'>activer_pydio</target>
        </condition>

        <condition name='hidden_if_in' source='activer_pydio'>
            <param>non</param>
            <target type='variable'>activer_pydio_local</target>
            <target type='variable'>activer_pydio_ftp</target>
        </condition>

        <condition name='hidden_if_in' source='activer_pydio_ftp'>
            <param>non</param>
            <target type='variable'>pydio_repository_ftp</target>
        </condition>
                        
        <condition name='hidden_if_in' source='activer_pydio'>
            <param>non</param>
            <target type='filelist'>pydio</target>
            <target type='servicelist'>pydio</target>
            <target type='filelist'>pydio-bareos</target>
        </condition>

        <condition name='disabled_if_in' source='activer_bareos_dir' fallback='True'>
            <param>non</param>
            <target type='filelist'>pydio-bareos</target>           
        </condition>  
                
        <auto name='calc_container' target='pydio_ftp'>
            <param type='eole'>mode_conteneur_actif</param>
            <param type='container'>fichier</param>
            <param type='eole' optional='True'>mode_zephir</param>
        </auto>
        
        <check name='valid_enum' target='pydio_db_mode'>
            <param>['default', 'externe', 'local']</param>
        </check>
        <condition name='disabled_if_in' source='pydio_db_mode'>
            <param>local</param>
            <target type='variable'>pydio_dbserver</target>
            <target type='variable'>pydio_dbuser</target>
            <target type='variable'>pydio_dbport</target>
            <target type='variable'>pydio_dbpass</target>
        </condition>
        <condition name='disabled_if_in' source='pydio_db_mode'>
            <param>default</param>
            <target type='variable'>pydio_dbserver</target>
            <target type='variable'>pydio_dbuser</target>
            <target type='variable'>pydio_dbport</target>
            <target type='variable'>pydio_dbpass</target>
            <target type='variable'>pydio_allow_hosts</target>
        </condition>        
    </constraints>
    
    <help>
        <variable name='activer_pydio'>Pydio est un gestionnaire de fichiers en ligne</variable>
        <family name='pydio'>Outil de gestion automatique des base de données de pydio</family>
        <variable name='pydio_db_mode'>Utilisation ou non d'un paramètrage spécifique de base de données pour pydio</variable>
        <variable name='pydio_dbserver'>Adresse du serveur de base de données par défaut de pydio</variable>
        <variable name='pydio_dbport'>Port d'écoute du serveur de base de données par défaut de pydio</variable>
        <variable name='pydio_dbuser'>Nom d'utilisateur d'administration du serveur de base de données par défaut de pydio</variable>
        <variable name='pydio_dbpass'>Fichier contenant le mot de passe de l'administrateur du serveur de base de données par défaut de pydio</variable>
        <variable name='pydio_allow_hosts'>Adresses IP avec lesquelles les utilisateurs de la base de données de pydio sont suceptibles de se connecter</variable>
    </help>
</creole>

